summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/inputbox4
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/inputbox4')
-rwxr-xr-xcontrib/dialog/samples/inputbox420
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/dialog/samples/inputbox4 b/contrib/dialog/samples/inputbox4
new file mode 100755
index 0000000..416bf86
--- /dev/null
+++ b/contrib/dialog/samples/inputbox4
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Id: inputbox4,v 1.7 2010/01/13 10:28:12 tom Exp $
+# An example which does not use temporary files, as suggested by Cary Evans:
+
+. ./setup-vars
+
+exec 3>&1
+RESULT=`$DIALOG --title "INPUT BOX" --clear "$@" \
+ --inputbox "Hi, this is an input dialog box. You can use \n
+this to ask questions that require the user \n
+to input a string as the answer. You can \n
+input strings of length longer than the \n
+width of the input box, in that case, the \n
+input field will be automatically scrolled. \n
+You can use BACKSPACE to correct errors. \n\n
+Try entering your name below:" 16 51 2>&1 1>&3`
+retval=$?
+exec 3>&-
+
+. ./report-string
OpenPOWER on IntegriCloud